<?php

namespace App\Http\Controllers;
use App\Gira;
use App\APM;
use App\GerenteProducto;
use App\PlanificacionSupervision;
use App\PlanificacionSupervisionGira;

use Illuminate\Http\Request;

class GerenteProductoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $planificaciones=PlanificacionSupervision::with('planificaciones_giras')->with('apm')->with('gerente')
                ->get();


        return view('gerente_producto.lista',compact('planificaciones'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        $giras=Gira::all();
        $apms=APM::all();
        $gerentesProductos=GerenteProducto::all();

        return view('gerente_producto.nuevo',compact('giras','apms','gerentesProductos'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        $fecha_inicio= date_format(date_create($request->fecha_inicio),"Y/m/d");
        $fecha_final= date_format(date_create($request->fecha_final),"Y/m/d");
        //Crear nuevo combo
        $planificacion = new PlanificacionSupervision();
        $planificacion->cantidad = $request->cantidad;
        $planificacion->id_apm = $request->id_apm;
        $planificacion->id_gerente = $request->id_gerente;
        $planificacion->fecha_inicio = $fecha_inicio;
        $planificacion->fecha_final = $fecha_final;
        $planificacion->save();

        if($planificacion->id){
            //Asignacion de tipos de socios
            foreach($request->id_giras as $gira){
                $planificacionGira = new PlanificacionSupervisionGira();
                $planificacionGira->id_planificacion = $planificacion->id;
                $planificacionGira->id_gira = $gira;
                $planificacionGira->save();
            }

            $arrResponse = [
                'message' => 'Planificación guardada correctamente'
            ];
            return redirect()->route('marketing.planificacion_supervision')->with($arrResponse);
        }
        $arrResponse = [
            'message' => 'Error no se guardado correctamente'
        ];
        return redirect()->route('marketing.planificacion_supervision')->with($arrResponse);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
